VESPA(1)

NAME
vespa - The command-line tool for Vespa.ai

SYNOPSIS
vespa [flags]

DESCRIPTION
The command-line tool for Vespa.ai.

Use it on Vespa instances running locally, remotely or in Vespa Cloud - use a token for Vespa Cloud access:

$ export VESPA_CLI_DATA_PLANE_TOKEN='value-of-token'

To get started, follow https://docs.vespa.ai/en/basics/deploy-an-application.html

The complete Vespa documentation is available at https://docs.vespa.ai.

For detailed description of flags and configuration, see 'vespa help config'.

OPTIONS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-h, --help[=false]
    help for vespa

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

SEE ALSO
vespa-activate(1), vespa-auth(1), vespa-clone(1), vespa-config(1), vespa-curl(1), vespa-deploy(1), vespa-destroy(1), vespa-document(1), vespa-feed(1), vespa-fetch(1), vespa-log(1), vespa-prepare(1), vespa-prod(1), vespa-query(1), vespa-status(1), vespa-test(1), vespa-version(1), vespa-visit(1)